[regression] Localized redirects do not work after a page move
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
Chad, MZMcBride, Nikerabbit, wikibugs-l
Projects
Reference
bz17276
Description

Author: claymore.ws

Description:
After a page move localized redirects (#перенаправление in this case) don't trigger the actual redirect. Changing the redirect to the original (#REDIRECT) fixes the problem. Not ever page move causes the problem, I haven't been able to find which ones do.


Version: unspecified
Severity: normal
URL: http://ru.wikipedia.org/wiki/Нагато

bzimport added a project: MediaWiki-Redirects.Via ConduitNov 21 2014, 10:27 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz17276.
bzimport created this task.Via LegacyJan 31 2009, 1:30 PM
Chad added a comment.Via ConduitFeb 1 2009, 8:53 AM

Possibly a regression from the redirect changes? Siebrand had mentioned something similar iirc.

Nikerabbit added a comment.Via ConduitFeb 1 2009, 10:16 AM

Has also happened in fiwiki, marking as regression.

bzimport added a comment.Via ConduitFeb 2 2009, 12:23 AM

skizzerz wrote:

depends on bug 17300, which was fixed in r46502 -- turns out this has nothing to do with localized redirects, but rather with the redirect table not being properly updated on pagemoves. Editing the page caused the redirect table to properly update, which is why changing the text to #REDIRECT fixed it (If you just changed some whitespace it would have the exact same effect of fixing it).

These "bad" redirects will still exist after the update, but once they are edited or re-moved (easiest thing to do would be to either add or remove the space before the link opening), they will function properly

Not marking as FIXED until some other people can verify that revisions of mediawiki after r46502 do not have this issue.

Catrope added a comment.Via ConduitFeb 4 2009, 11:50 AM
  • Bug 17349 has been marked as a duplicate of this bug. ***
Nikerabbit added a comment.Via ConduitFeb 21 2009, 8:56 AM
  • This bug has been marked as a duplicate of bug 17300 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.